commit:     0b30026274ff572c80500c8849dac7f262cf9548
Author:     Amadeusz Żołnowski <aidecoe <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  1 20:49:43 2016 +0000
Commit:     Amadeusz Piotr Żołnowski <aidecoe <AT> gentoo <DOT> org>
CommitDate: Thu Dec  1 21:41:06 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b300262

sys-apps/firejail: Bump version

Package-Manager: portage-2.3.2

 sys-apps/firejail/Manifest                         |  1 +
 .../firejail/files/firejail-0.9.44-sysmacros.patch | 27 +++++++++++++
 sys-apps/firejail/firejail-0.9.44.ebuild           | 45 ++++++++++++++++++++++
 3 files changed, 73 insertions(+)

diff --git a/sys-apps/firejail/Manifest b/sys-apps/firejail/Manifest
index 1cbfd4d..1727c80 100644
--- a/sys-apps/firejail/Manifest
+++ b/sys-apps/firejail/Manifest
@@ -1,3 +1,4 @@
 DIST firejail-0.9.38.2.tar.bz2 158132 SHA256 
d76d82d18c45c64f04924a03d7fab0cbf023d86a92a16a13c5f51e09b40ad446 SHA512 
d20ff48c39da7941cf61d5d2dc4a126dc7eeb2657d75b8d9bec9e53225fc79b55489b36727d6383c837bbe4e412d4bd5b4bde645b064a539d16e80fe972e3506
 WHIRLPOOL 
94f96f9696ce4a7cc3bb7084e7d04410b36540a50d2fdf7ae25b3c82114adf6e32169ecf24be501a916b487bf044a87429cf13c9bd2d332d9a761378eac047a5
 DIST firejail-0.9.38.4.tar.bz2 158075 SHA256 
47b0707f7d726631e0c9ee6555acb6836b16920fcf02ed7ba6593c86fd7bf5c2 SHA512 
b8d2a49e34f3b54b832188f209b4fc6573a951acaf546f1b1c25b681f226ad86b4439a1a3e05e1342746f51fca750261b3d22e7dcf9decd12929e2b790e05890
 WHIRLPOOL 
ce150dcf164f5c3d0656e02830d353fab8d972c364dfead2379f13e0dc9bbc55f09cd28f1741321243183da0c0821c493cd77b7377628201cadbd46dd2fc3c3e
 DIST firejail-0.9.42.tar.xz 204608 SHA256 
4f3bceee973b84fdf13a5d5ab0060d140ecc8e42c19c945e7fb93f0fd8499b47 SHA512 
bea126c41cbd275ef64bce1fa65419a168a3d39a5eeb2bc78d904e1f7c93357caca0446cdaced2f1e0757d30ebc9dfadce14fe283597abad430f1a2df05581ad
 WHIRLPOOL 
2dacfc0ac8e2707609c53d36fff568b23700d68a464e4f251f1b414d6abdb379403883ac25a3886cfe8c671ac20baf98467190ac36ed0d9b0276005d29edb852
+DIST firejail-0.9.44.tar.xz 212532 SHA256 
2cd8ba061a546b593e52748ebbcd8dbdac55973aaeff21250ada43fe3405992c SHA512 
6865cf1402f98cf4aceef18239777ca4518a702edd9e119b849385895156661fec560cbcb1738f785725f6c3d55cc478770b8db9d77f2debc386fe4780b6e7f2
 WHIRLPOOL 
8da1c2d70133618dc2ac4bf45cb10205f7bf168954b9d693b9553eb6b3a504c19addb3a6fd06f4e91eed4a577f0b3ca9bc67697988206f32f1c11afb7924ce77

diff --git a/sys-apps/firejail/files/firejail-0.9.44-sysmacros.patch 
b/sys-apps/firejail/files/firejail-0.9.44-sysmacros.patch
new file mode 100644
index 00000000..85830a4
--- /dev/null
+++ b/sys-apps/firejail/files/firejail-0.9.44-sysmacros.patch
@@ -0,0 +1,27 @@
+From c15fc4754a05cc2b2aec4ca75f87bf3d61578843 Mon Sep 17 00:00:00 2001
+From: Mike Frysinger <vap...@gentoo.org>
+Date: Wed, 20 Apr 2016 00:14:21 -0400
+Subject: [PATCH] include sys/sysmacros.h for major/minor/makedev
+
+These funcs have been defined in sys/sysmacros.h forever, and Linux C
+libs are moving away from implicitly including it.  Update the files
+to include it explicitly.
+---
+ src/firejail/fs_dev.c | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/src/firejail/fs_dev.c b/src/firejail/fs_dev.c
+index 97ee9de..2f66980 100644
+--- a/src/firejail/fs_dev.c
++++ b/src/firejail/fs_dev.c
+@@ -28,6 +28,7 @@
+ #ifndef _BSD_SOURCE
+ #define _BSD_SOURCE 
+ #endif
++#include <sys/sysmacros.h>
+ #include <sys/types.h>
+ 
+ static void create_char_dev(const char *path, mode_t mode, int major, int 
minor) {
+-- 
+2.7.4
+

diff --git a/sys-apps/firejail/firejail-0.9.44.ebuild 
b/sys-apps/firejail/firejail-0.9.44.ebuild
new file mode 100644
index 00000000..b2b0381
--- /dev/null
+++ b/sys-apps/firejail/firejail-0.9.44.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="Security sandbox for any type of processes"
+HOMEPAGE="https://firejail.wordpress.com/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="apparmor +bind +chroot +file-transfer +network
+       network-restricted +seccomp +userns x11"
+
+DEPEND="apparmor? ( sys-libs/libapparmor )"
+RDEPEND="${DEPEND}
+       x11? ( x11-wm/xpra[client,server] )"
+
+PATCHES=( "${FILESDIR}"/${P}-sysmacros.patch )
+
+src_prepare() {
+       default
+       find -name Makefile.in -exec sed -i -r \
+                       -e '/CFLAGS/s: (-O2|-ggdb) : :g' \
+                       -e '1iCC=@CC@' {} + || die
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable apparmor)
+               $(use_enable bind)
+               $(use_enable chroot)
+               $(use_enable file-transfer)
+               $(use_enable network)
+               $(use_enable seccomp)
+               $(use_enable userns)
+               $(use_enable x11)
+       )
+       use network-restricted && myeconfargs+=( --enable-network=restricted )
+       econf "${myeconfargs[@]}"
+}

Reply via email to